Bug 238101

Summary: www/Stikked: Broken MYSQL option
Product: Ports & Packages Reporter: Tobias Kortkamp <tobik>
Component: Individual Port(s)Assignee: Dan Langille <dvl>
Status: Closed FIXED    
Severity: Affects Only Me Flags: bugzilla: maintainer-feedback? (dvl)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235942

Description Tobias Kortkamp freebsd_committer 2019-05-24 11:26:40 UTC
USE_PHP=mysql no longer works with PHP 7.x. USE_PHP=mysqli might work as a
replacement though.
Comment 1 Dan Langille freebsd_committer 2019-05-24 11:30:52 UTC
FYI, I no longer use Stikked, mostly because it 'adjusts' the paste on the way into the database (i.e. what you paste is not what is stored in the db).  I spoke with upstream about adjusting that with a tunable and provided a patch. It was not taken up: https://github.com/claudehohl/Stikked/issues/469

I will be able to work on this soon (but perhaps not until June).

If anyone else wishes to do this work in the meantime, please feel free.

I am also happy to hand over maintainer of this port to someone else.

Thank you.
Comment 2 Tobias Kortkamp freebsd_committer 2019-05-24 12:21:59 UTC
(In reply to Dan Langille from comment #1)
Ok, I'll mark the MYSQL option broken until then so that we can finish
bug #235942.
Comment 3 commit-hook freebsd_committer 2019-05-24 12:23:41 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 12:23:36 UTC 2019
New revision: 502457
URL: https://svnweb.freebsd.org/changeset/ports/502457

Log:
  www/Stikked: Mark MYSQL option as broken

  USE_PHP=mysql no longer works.

  PR:		238101

Changes:
  head/www/Stikked/Makefile
Comment 4 Dan Langille freebsd_committer 2019-07-27 00:00:52 UTC
I am ready to abandon this port. I no longer use it.
Comment 5 Tobias Kortkamp freebsd_committer 2020-06-13 17:20:05 UTC
Original problem has been fixed.